/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package open.dolphin.infomodel;

/**
 *
 * @param <InputT>
 * @author oda
 */
public abstract class GenericAdapter<InputT, OutputT> {

    public abstract boolean onResult(InputT input, OutputT output) throws Exception;

    public abstract void onError(Exception ex);
}
